Bug 101469 - Attachment management should be more consistent with KDE file management
Summary: Attachment management should be more consistent with KDE file management
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: composer (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-14 11:04 UTC by Dik Takken
Modified: 2009-12-20 23:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dik Takken 2005-03-14 11:04:43 UTC
Version:            (using KDE KDE 3.3.2)
Installed from:    Gentoo Packages
OS:                Linux

Managing files works exactly the same all over the KDE desktop. But managing attachments that have been added to a mail message works completely different:

* Double clicking an attachment currently activates a typical power-user feature: Show all technical properties like encoding and such. Non-technical users expect to be able to view the attachment by double-clicking on it, because that's what happens anywhere else in KDE when you click on a file. I would suggest to make file viewing the default action and put the technical details view in the RMB menu called 'properties', like Konqueror has.

* The 'view attachment' function should work exactly like viewing a file in Konqueror. KMail should display the attachment embedded when that filetype is configured that way, or display it using the correct external application otherwise.

* The attachment area as a whole should have the same look and feel as Konqueror has, because attachment management is similar to file management. If the user has configured konqueror to use the icon view, the attachment area should also use icon view. If the user configured konqueror to display examples of certain files, the attachment area should do the same. File actions like 'rename' 'delete' etc should be accessible in exactly the same way as when using konqueror. Also, single/double click behaviour should be consistent with the rest of KDE. When KDE has been configured to use a single click to open a file, the attachment editor should inherit this behaviour.
Comment 1 Bernhard E. Reiter 2006-08-29 16:05:29 UTC
The first two points are fixed in the Proko2 Branch.
I think Pradeepto should also have added them to TRUNK.
Comment 2 Pradeepto K. Bhattacharya 2006-10-06 05:14:08 UTC
First point solved with revision 592883.

Do we need "Open With" in the RMB? I stopped short of implementing it as it would add UI strings. So perhaps afer the freeze.
Comment 3 Pradeepto K. Bhattacharya 2006-10-06 21:02:25 UTC
Ummmmm.. actually it can done since Open with string is there already. Fixed.